BUILT_SOURCES=rndm0_rc.c rndm0_rc.h
lang_DATA=librdrrndm0.cat librdrrndm0_cp1251.cat librdrrndm0_utf-8.cat librdrrndm0_iso8859-5.cat librdrrndm0_cp866.cat librdrrndm0_koi8-r.cat
SOURCES=r0_prj.c r0_prj.h r0_exp.c ../version.c Version.Win32.rc


add_ldflags=
add_ldflags+=-lpthread
out=librdrrndm0

all: $(out).so.4.0.5 $(out).so.4 $(out).so $(lang_DATA)
OBJS=r0_prj.o r0_exp.o rndm0_rc.o version.o


$(OBJS): $(SOURCES) $(BUILT_SOURCES)

$(BUILT_SOURCES) $(lang_DATA): Win32/rndm0_rc.rc ../copyex/derc_dist.sh ../copyex/localize_dist.sh
	../copyex/derc_dist.sh Win32/rndm0_rc.rc Version.Win32.rc r0_prj.h Win32 RNDM0 ./rndm0_rc

include ../rdk.mk
